- Main Page
- Modules
- Data Structures
- Files
- Directories
- Related Pages

- Data Structures
- Data Fields

# gavl Data Structures

Here are the data structures with brief descriptions:

gavl_audio_channels_t | Container for noninterleaved audio samples
gavl_audio_format_t | Audio Format
gavl_audio_frame_t | Generic container for audio samples
gavl_audio_samples_t | Container for interleaved audio samples
gavl_dsp_funcs_t | Function table
gavl_overlay_t | Overlay structure
gavl_rectangle_f_t |
gavl_rectangle_i_t |
gavl_video_format_s | Video format
gavl_video_frame_t |